# Digby: The multi-compression application. [![Build Status](https://drone.tildegit.org/api/badges/kiiwiiwastaken/Digby/status.svg?ref=refs/heads/main)](https://drone.tildegit.org/kiiwiiwastaken/Digby)
This is an application that allows you to compress to multiple compression systems all in one application.

# Building:
run `go build main.go` and you're done!

# Usage:
Here's an example on how to run it.

```
./Digby -file file.ext -comp zstd -path /home/kiiwii -lvl 22
```

`-file` is required -- tells Digby what file you want to compress.

`-comp` is required -- tells Digby what compression algorithm you want to use (see [Supported Compression Systems](#supported-compression-systems))

`-path` is optional -- tells Digby where to save the compressed file. If not specified it will save to the working directory.

`-lvl` is optional -- tells Digby what level of compression to use. Only works when `-comp` is set to zstd. (If not specified it will default to level 5)

# Supported Compression Systems:
- gzip
- zlib
- zstd

# TODO:
- [x] Have command line arguments
- [ ] Support things such a `*` for selecting multiple files
- [ ] Support compressing a folder